DESCRIPTION = "Linux driver for Ralink 802.11 b/g Wifi PCI/PCMCIA (from sf.net)."
SECTION = "base"
PRIORITY = "optional"
MAINTAINER = "Sven-Ola Tuecke <sven-ola@gmx.de>"
LICENSE = "GPL"
RDEPENDS = "kernel (${KERNEL_VERSION}) wireless-tools (>= 27) kernel-module-firmware-class hotplug"
DEPENDS = "virtual/kernel"
SRCNAME = rt61-cvs-2007080600
SRC_URI = "http://rt2x00.serialmonkey.com/rt61-cvs-daily.tar.gz"

inherit module-base

# Add -DDBG for the debug version

EXTRA_OEMAKE_mtx-1 = "CC='${CC}' \
CFLAGS='-I${STAGING_KERNEL_DIR}/include -D__KERNEL__ -DMODULE -DMODVERSIONS \
-nostdinc -iwithprefix include -finline-limit=100000 -fno-common -fno-pic \
-fno-strict-aliasing -fomit-frame-pointer -G 0 -mabi=32 -march=mips32 -mlong-calls \
-mno-abicalls -O2 -pipe -Wa,-32 -Wa,-march=mips32 -Wa,-mips32 -Wa,--trap \
-include linux/modversions.h -fno-strict-aliasing -fno-common -pipe ${CFLAGS}'"

S = "${WORKDIR}/${SRCNAME}"

do_compile() {
	cd Module;oe_runmake KERNDIR=${KERNEL_SOURCE} PATCHLEVEL=4 MODDIR=/lib/modules/${KERNEL_VERSION}/extra debug
}

do_install() {
#	mkdir -p ${D}/etc/sysconfig/network-scripts
#	touch ${D}/etc/modules.conf
#	cd Module;oe_runmake MOD_ROOT=${D}/lib/modules MOD_CONF=${D}/etc/modules.conf NDDIR=${D}/etc/sysconfig/network-scripts ND_CONF=${D}/etc/sysconfig/network-scripts/ifcfg-rausb0 DESTDIR=${D} BINDIR=${sbindir} install
        install -d ${D}/lib/modules/${KERNEL_VERSION}/extra/ \
		   ${D}/lib/firmware/
	install -m 0644 Module/rt61.o ${D}/lib/modules/${KERNEL_VERSION}/extra/
	install -m 0644 Module/rt2661.bin ${D}/lib/firmware/
	install -m 0644 Module/rt2561s.bin ${D}/lib/firmware/
	install -m 0644 Module/rt2561.bin ${D}/lib/firmware/
}

FILES_${PN} += "/lib/modules/"
FILES_${PN} += "/lib/firmware/"
